<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик группового перемещения информационных групп и элементов.
 *
 * Файл: /admin/InformationSystems/action/move_items_groups.php
 *
 * @author Hostmake LLC
 * @version 5.x
 */

$information_system = & singleton('InformationSystem');
$kernel = & singleton('kernel');

$param_item = array ();
$param_group = array();

$target_group_id = to_int($_POST['information_group_id']);

$flag_move_items = false;
$flag_move_groups = false;

foreach($_REQUEST as $key => $value)
{		
	if (ereg("^move_group_([0-9]*)$", $key, $regs))
	{			
		$param_group['information_groups_id'] = $regs[1]; 
		$param_group['information_groups_parent_id'] = $target_group_id; 
		$information_system->InsertInformationGroup($param_group);
		
		$flag_move_groups = true;
	}
	
	if (ereg("^move_item_([0-9]*)$", $key, $regs))
	{		
		$param_item['information_items_id'] = $regs[1]; 
		$param_item['information_groups_id'] = $target_group_id;				
		$information_system->InsertInformationItem($param_item);
		
		$flag_move_items = true;
	}
}

if ($flag_move_groups)
{
	show_message($GLOBALS['MSG_information_systems']['move_information_groups_success']);
}

if ($flag_move_items)
{
	show_message($GLOBALS['MSG_information_systems']['move_information_items_success']);
}

?>